{
  "custom": {},
  "params": {
    "configuring": false,
    "equipmentPath": "Enterprise\\El Dorado Hills\\Packaging Area\\Packaging Line 1",
    "runLookbackCount": 0,
    "timePeriod": "Current Shift",
    "title": "OEE Downtime table"
  },
  "propConfig": {
    "params.configuring": {
      "onChange": {
        "enabled": null,
        "script": "\tviewParams\u003dself.params\n\tconfigParams\u003dself.getChild(\"root/configuration\").props.params\n\tif currentValue.value:\n\t\tconfigParams.equipmentPathIn \u003d viewParams.equipmentPath\n\t\tconfigParams.timePeriodIn \u003d viewParams.timePeriod\n\t\tconfigParams.titleIn \u003d viewParams.title\n\telif previousValue is not None and previousValue.value:\n\t\tviewParams.equipmentPath \u003d configParams.equipmentPathOut\n\t\tviewParams.timePeriod \u003d configParams.timePeriodOut\n\t\tviewParams.title \u003d configParams.titleOut"
      },
      "paramDirection": "input",
      "persistent": true
    },
    "params.eqPath": {
      "onChange": {
        "enabled": null,
        "script": "\tif currentValue.value:\n\t\tself.getChild(\"root\").getChild(\"oeeDowntimeTable\").props.equipmentPath \u003d currentValue.value"
      },
      "paramDirection": "inout",
      "persistent": false
    },
    "params.equipmentPath": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.runLookbackCount": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.timePeriod": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.title": {
      "paramDirection": "inout",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 500,
      "width": 1200
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "meta": {
              "name": "scoVarianceViewer"
            },
            "position": {
              "basis": "750px",
              "grow": 1
            },
            "propConfig": {
              "props.beginDate": {
                "binding": {
                  "config": {
                    "fallbackDelay": 2.5,
                    "mode": "expression",
                    "tagPath": "runScript(\u0027shared.mes.schedule.getTagPathForTimePeriodStart\u0027,0, {view.params.timePeriod}, {view.params.equipmentPath})"
                  },
                  "type": "tag"
                }
              },
              "props.endDate": {
                "binding": {
                  "config": {
                    "fallbackDelay": 2.5,
                    "mode": "expression",
                    "tagPath": "runScript(\u0027shared.mes.schedule.getTagPathForTimePeriodEnd\u0027, 0, {view.params.timePeriod}, {view.params.equipmentPath})"
                  },
                  "type": "tag"
                }
              },
              "props.equipmentPathFilter": {
                "binding": {
                  "config": {
                    "path": "view.params.equipmentPath"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "data": {
                "$": [
                  "ds",
                  192,
                  1681342672761
                ],
                "$columns": [
                  {
                    "data": [
                      "SKU222 12oz",
                      "SKU222 12oz"
                    ],
                    "name": "Recipe",
                    "type": "String"
                  },
                  {
                    "data": [
                      "6c2c4370-7d4c-47f4-bfa8-a772ebe6983b",
                      "6c2c4370-7d4c-47f4-bfa8-a772ebe6983b"
                    ],
                    "name": "TrackingUUID",
                    "type": "String"
                  },
                  {
                    "data": [
                      "Enterprise\\El Dorado Hills\\Packaging Area\\Packaging Line 1",
                      "Enterprise\\El Dorado Hills\\Packaging Area\\Packaging Line 1"
                    ],
                    "name": "ItemPath",
                    "type": "String"
                  },
                  {
                    "data": [
                      "Line Speed",
                      "Line Speed"
                    ],
                    "name": "Name",
                    "type": "String"
                  },
                  {
                    "data": [
                      "102",
                      "102"
                    ],
                    "name": "Value",
                    "type": "String"
                  },
                  {
                    "data": [
                      "102",
                      "(Unknown)"
                    ],
                    "name": "FromValue",
                    "type": "String"
                  },
                  {
                    "data": [
                      "103",
                      "102"
                    ],
                    "name": "ToValue",
                    "type": "String"
                  },
                  {
                    "data": [
                      null,
                      null
                    ],
                    "name": "Description",
                    "type": "String"
                  },
                  {
                    "data": [
                      null,
                      null
                    ],
                    "name": "Units",
                    "type": "String"
                  },
                  {
                    "data": [
                      1681342142000,
                      1681342139000
                    ],
                    "name": "TimeStamp",
                    "type": "Date"
                  }
                ]
              },
              "displayVarianceScope": "Date Range",
              "tableColumns": [
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "Recipe",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": false,
                  "hidden": false,
                  "include": true,
                  "name": "Recipe",
                  "order": 1,
                  "originalTitle": "",
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Recipe",
                  "width": 125,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "TrackingUUID",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": false,
                  "hidden": false,
                  "include": true,
                  "name": "TrackingUUID",
                  "order": 2,
                  "originalTitle": "",
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "TrackingUUID",
                  "width": 125,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "ItemPath",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": false,
                  "hidden": false,
                  "include": true,
                  "name": "ItemPath",
                  "order": 3,
                  "originalTitle": "",
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "ItemPath",
                  "width": 125,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "Name",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": false,
                  "hidden": false,
                  "include": true,
                  "name": "Name",
                  "order": 4,
                  "originalTitle": "",
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Name",
                  "width": 125,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "Value",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": false,
                  "hidden": false,
                  "include": true,
                  "name": "Value",
                  "order": 5,
                  "originalTitle": "",
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Value",
                  "width": 125,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "FromValue",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": false,
                  "hidden": false,
                  "include": true,
                  "name": "FromValue",
                  "order": 6,
                  "originalTitle": "",
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "FromValue",
                  "width": 125,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "ToValue",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": false,
                  "hidden": false,
                  "include": true,
                  "name": "ToValue",
                  "order": 7,
                  "originalTitle": "",
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "ToValue",
                  "width": 125,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "Description",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": false,
                  "hidden": false,
                  "include": true,
                  "name": "Description",
                  "order": 8,
                  "originalTitle": "",
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Description",
                  "width": 125,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "Units",
                  "dataFormat": "",
                  "dataType": "string",
                  "fixed": false,
                  "hidden": false,
                  "include": true,
                  "name": "Units",
                  "order": 9,
                  "originalTitle": "",
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "Units",
                  "width": 125,
                  "wordWrapEnabled": false
                },
                {
                  "align": "left",
                  "alignVertical": "middle",
                  "columnName": "TimeStamp",
                  "dataFormat": "yyyy-MM-dd HH:mm:ss",
                  "dataType": "date",
                  "fixed": false,
                  "hidden": false,
                  "include": true,
                  "name": "TimeStamp",
                  "order": 10,
                  "originalTitle": "",
                  "searchEnabled": true,
                  "sortingEnabled": true,
                  "title": "TimeStamp",
                  "width": 125,
                  "wordWrapEnabled": false
                }
              ]
            },
            "type": "mes.recipe.scoVarianceViewer"
          }
        ],
        "meta": {
          "name": "runtime"
        },
        "position": {
          "basis": "200px",
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "expression": "!{view.params.configuring}"
              },
              "type": "expr"
            }
          }
        },
        "type": "ia.container.flex"
      },
      {
        "meta": {
          "name": "configuration"
        },
        "position": {
          "basis": "320px",
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.configuring"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "params": {
            "equipmentPathIn": "",
            "equipmentPathOut": "",
            "timePeriodIn": "",
            "timePeriodOut": "",
            "titleIn": "",
            "titleOut": ""
          },
          "path": "Page/Widgets/Configuration/Equipment Path, Time Period, Title"
        },
        "type": "ia.display.view"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}